import React, { useRef, Suspense } from 'react';

function useAfterFirstTruthy(val) {
  var mounted = useRef();

  if (val && !mounted.current) {
    mounted.current = true;
  }

  if (mounted.current) return true;
  return false;
}

var LazyMount = function (_a) {
  var children = _a.children,
      _b = _a.trigger,
      trigger = _b === void 0 ? false : _b,
      fallback = _a.fallback;
  var isMounted = useAfterFirstTruthy(trigger);

  if (!isMounted) {
    return null;
  }

  if (fallback) {
    return React.createElement(Suspense, {
      fallback: fallback
    }, children);
  }

  return React.createElement(React.Fragment, null, children);
};

export default LazyMount;
//# sourceMappingURL=indes.es.js.map
